Page MenuHomePhabricator

Define maps attribution text
Closed, ResolvedPublic

Description

Per http://www.openstreetmap.org/copyright, OSM maps are supposed to say "© OpenStreetMap contributors" and link to terms. What should be the precise text? We also need to decide if we want to specify a license for our tiles (for example, while the mapping data itself is ODbL, openstreetmap.org tiles are CC-BY-SA 2.0). So far, I'm setting map examples to use Map data &copy; <a href="http://openstreetmap.org/copyright">OpenStreetMap contributors</a>.

Event Timeline

MaxSem created this task.Sep 2 2015, 5:40 PM
MaxSem assigned this task to Slaporte.
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added projects: Maps-Sprint, WMF-Legal.
MaxSem added a subscriber: MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 5:40 PM
MaxSem moved this task from Backlog to Stalled/Waiting on the Maps-Sprint board.Sep 2 2015, 5:40 PM
Yurik set Security to None.Sep 8 2015, 11:43 PM
Yurik added subscribers: Yurik, aude.

We do need to decide on a license for our tiles. My suggestion would be CC0 for simplicity and maximizing re-use.

Thanks, Kaldari. I'll follow up with Max offline and then let you know.

According to Yuri, the styles might already be licensed under a BSD license (and not be copyrighted by the Foundation).

Yurik added a comment.Sep 17 2015, 8:42 PM

We forked a style that was developed by Mapbox and licensed under this license (BSD?)

He7d3r added a subscriber: He7d3r.Sep 18 2015, 12:49 AM
Yurik added a project: Maps.Nov 7 2015, 7:34 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2015, 7:34 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript

We forked a style that was developed by Mapbox and licensed under this license (BSD?)

http://opensource.org/licenses/BSD-3-Clause with "OWNER" replacing "HOLDER" once.

Did anyone ever ask Mapbox about licensing the styles explicitly (especially under a license that isn't a software license)?

Yurik added a comment.Feb 7 2016, 10:09 PM

Not to my knowledge.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 7 2016, 10:09 PM
Yurik moved this task from All map-related tasks to Related on the Maps board.Feb 7 2016, 10:12 PM

@Slaporte: Would you have any interest in asking Mapbox about licensing their styles explicitly (especially under a license that isn't a software license)? I would really like to start creating some derivative static maps based on our new maps service, but licensing a PNG file under the BSD license doesn't make any sense to me. Even worse, it isn't clear to me that they have actually freely licensed their styles. I'm sure they have the intention of freely licensing them, but all their licensing language specifically says "software". Nothing mentions licensing the styles, so legally they may still be copyrighted.

I've reached out to the style author, and I'll ping them again and let you know what I find. Thanks!

EBernhardson moved this task from Needs triage to Maps on the Discovery board.Feb 11 2016, 11:25 PM

@Slaporte: Any update from the style author?

ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Apr 14 2016, 12:53 AM

Based on my memory of talking to @Slaporte, and the discussion with the Interactive team:

  • If the map frame is "big enough", show the licensing text as requested by OSM Community
  • For small map, show a small information icon, clicking/hovering of which we should show more info
  • Optionally, with the "mid-size" frames, we could show "license" link, working the same as the info icon above.

TBD

Once MapBox is updated on their side, I can post a short page on MediaWiki.org with simple licensing guidelines for maps.wikimedia.org. Would that be helpful?

Yurik added a comment.May 27 2016, 8:09 PM

Should this be one ticket or multiple? We may need a generic map licensing page/info/popup somewhere, plus we need some licensing UI for the map itself, including a longer/shorter/icon versions of it?

The license for the mapbox OSM Bright styles has been clarified:
https://github.com/mapbox/mapbox-studio-osm-bright.tm2
The "look and feel" of the style is now licensed as CC-BY rather than BSD (while the code itself is BSD). According to the license text: "Attribution need not be provided on map images, but should be reasonably accessable from maps based on on the Style (for example, in a webpage linked from a copyright notice on the map)."

@Yurik: Where is the repo that contains our fork of Mapbox's OSM Bright styles? We should update the LICENSE there to reflect the update upstream.

Found it: https://github.com/kartotherian/osm-bright.tm2. We should update it to match https://github.com/mapbox/mapbox-studio-osm-bright.tm2/blob/master/LICENSE.txt and also add Wikimedia Foundation to the copyright notice there.

@Slaporte: I created a static map from maps.wikimedia.org and attempted to license it correctly: https://commons.wikimedia.org/wiki/File:Bullet_Tree_Falls_road_map.png. Does that look correct to you? If so, feel free to write up some licensing guidelines on static derivatives based on that.

@kaldari, thanks for the pr, could you post two pics side by side in the phab ticket to see the difference? Thx!

To keep everyone in the loop, a contributor asked about the Terms of Use for our maps tiles today.

https://www.mediawiki.org/wiki/Talk:Maps#Terms_of_Use

debt added a subscriber: debt.Oct 5 2016, 2:31 PM
debt triaged this task as High priority.Nov 4 2016, 6:50 PM
debt moved this task from In progress to Stalled/Waiting on the Maps-Sprint board.Nov 17 2016, 6:15 PM

Moving to 'stalled' as we don't have wording from Legal.

Yurik moved this task from Related to Tracking on the Maps board.Dec 6 2016, 3:32 PM
debt moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Dec 16 2016, 6:37 PM

We've now got all wording from Legal - new page here: https://wikimediafoundation.org/wiki/Maps_Terms_of_Use

@debt: Thanks for the update. I'm a bit confused about the licensing terms for static maps though. The license for the map styles (OSM Bright) is Creative Commons Attribution 3.0, but our Terms suggest using a Creative Commons Attribution-ShareAlike 4.0 license. Also, it suggests that the maps be attributed to a section of the Terms rather than the authors of OSM Bright, which is confusing. The section that it suggests linking to, "Where does the map data come from?", is mainly about OpenStreetMaps and the ODbL license, which isn't applicable to static maps, as static maps can't be considered a "database" (while dynamic maps arguably could). What are your thoughts on this?

Pnorman added a subscriber: Pnorman.EditedDec 16 2016, 8:48 PM

The section that it suggests linking to, "Where does the map data come from?", is mainly about OpenStreetMaps and the ODbL license, which isn't applicable to static maps, as static maps can't be considered a "database" (while dynamic maps arguably could). What are your thoughts on this?

Static maps are a produced work of the OpenStreetMap database, so attribution is needed. Static maps and a slippy map are identical here, they're both produced works.

The code of osm-bright.tm2 is implemented in is licensed under the BSD license, and we don't need to reproduce that license with the map, just with the code and "binary forms". The "visual design features of [OSM Bright] (also known as the 'look and feel')" are licensed under CC BY 3.0, except that a webpage linked from a copyright notice is explicitly listed as an acceptable form of attribution.

So, in a map image the rights involved or claimed to be involved* are

  1. The copyright and database rights of the data
  2. Copyright of the code that puts the data into the database
  3. Potential rights involving the schema of the data in the database
  4. Copyright of the code that generates the vector tiles
  5. Potential rights involved the schema of the data in the vector tiles
  6. Copyright of the code that generates the raster tiles
  7. Copyright of symbols and images used when generating raster tiles
  8. Potential rights involved in the look and feel of the raster tiles
  9. The license terms the provider of the service applies

2, 4, and 6 are well accepted but don't impose any requirements on attribution, only on distribution of the source and binaries.
To what extent 3, 5, and partially 8 exist is disputed. 5 is why we have T153282: [epic] Migrate to a new vector tile structure

  • I am not endorsing that these rights exist, just that people have claimed they exist

Edit: For clarity, the above is my opinion, and not one of the WMF or OSMF, or other employers or people I do work for.

kaldari added a comment.EditedDec 16 2016, 10:11 PM

@Pnorman: I'm not aware of any jurisdictions that allow data (rather than a database) to be copyrighted, however, it seems that there is some case law indicating that a static map could in fact be considered a "database" for the purposes of sui generis database rights (as strange as that seems):

  • Michael Rosler-Goy, Databankenschutz gilt auch für Landkarten, KN 2006, no. 2, 66.
  • Katleen Janssen & Jos Dumortier, The Protection of Maps and Spatial Databases in Europe and the United States by Copyright and the Sui Generis Right, 24 J. Marshall J. Computer & Info. L. 195 (2006), 204–205.

So I guess the ODbL license does need to be mentioned, just in case.

I still don't understand where the Creative Commons Attribution-ShareAlike 4.0 license came from though.

So I guess the ODbL license does need to be mentioned, just in case.

Various legal opinions are that the ODbL protects the OpenStreetMap database in the US, and in other places the status is even clearer. With regards to a discussion about not following the OpenStreetMap licensing requirements, I cannot be involved as I am in a conflict of interest.

I still don't understand where the Creative Commons Attribution-ShareAlike 4.0 license came from though.

As it stands, it's accurate, but confusing. It says they can be used, not they must be used, and only is talking about static maps where you might need to set a license template.

Various legal opinions are that the ODbL protects the OpenStreetMap database in the US, and in other places the status is even clearer.

Yep. If static maps can indeed be considered databases, both copyright and database rights are potentially applicable. Thus even in the U.S. the ODbL would potentially apply. I'm satisfied on that issue.

As it stands, it's accurate, but confusing. It says they can be used, not they must be used, and only is talking about static maps where you might need to set a license template.

Hmm, I wonder if we could modify it to say that either CC-BY or CC-BY-SA are permissible. What do you think @debt? Or are we totally misunderstanding where the CC-BY-SA 4.0 instructions originate?

Hi folks, I'd like to ask some clarifications about the current wikimedia maps licensing. Is it allowed to access the tile map server from a commercial application? Thanks.

debt added a comment.Dec 20 2016, 10:32 PM

As I'm not a lawyer - I'm bringing in @Slaporte to answer some of these questions! :)

Hi folks, I'd like to ask some clarifications about the current wikimedia maps licensing. Is it allowed to access the tile map server from a commercial application? Thanks.

My entirely unofficial interpretation is that there is no restriction against use in a commercial application provided that it complies with the requirements of "Using maps in third-party services". This does not mean it is a good idea to base an application on it, commercial or otherwise.

We reserve the right to discontinue or change our service, block or limit certain users or applications, or take other measures in cases at our sole discretion at any time without notice

If you build a business or software around using the maps server, it could go away if your use causes a problem for WMF needs. You should also not hard-code the TMS URL into your app.

Slaporte added a comment.EditedJan 5 2017, 11:43 PM

Hi folks, I'd like to ask some clarifications about the current wikimedia maps licensing. Is it allowed to access the tile map server from a commercial application? Thanks.

My entirely unofficial interpretation is that there is no restriction against use in a commercial application provided that it complies with the requirements of "Using maps in third-party services". This does not mean it is a good idea to base an application on it, commercial or otherwise.

We reserve the right to discontinue or change our service, block or limit certain users or applications, or take other measures in cases at our sole discretion at any time without notice

If you build a business or software around using the maps server, it could go away if your use causes a problem for WMF needs. You should also not hard-code the TMS URL into your app.

@FlorencePapillon : I'd like to endorse Paul's guidance above. You may use the maps service in your application under the Maps Terms of Use. We are still in the early phases of development, so please be mindful that it could change in the future.

debt added a comment.Jan 6 2017, 12:11 AM

FYI, the maps attribution link went live this week (via the train), thus T151900 and T151906 are now completed as well as this ticket.

debt closed this task as Resolved.Jan 6 2017, 12:46 AM

Thank you very much for all the input and suggestions!